=== src/funkload/Makefile ===
clean:
	find . "(" -name "*~" -or  -name ".#*" -or -name "*py.class" ")" -print0 | xargs -0 rm -f
	rm -f *.html
