## funkload 1.13.0

=== debian/changelog ===
funkload (1.13.0-1) unstable; urgency=low

  * new upstream release
  * moved to new packaging scheme
  * fixed debian/control (closes: #592079)

 -- Toni Mueller <toni@debian.org>  Sun, 08 Aug 2010 19:24:57 +0200

funkload (1.12.0-1) unstable; urgency=low

  * new upstream
  * standards -> 3.9.0

 -- Toni Mueller <toni@debian.org>  Sat, 17 Jul 2010 02:08:36 +0200

funkload (1.11.0-4) unstable; urgency=low

  * correct build error

 -- Toni Mueller <toni@debian.org>  Sun, 02 May 2010 22:08:53 +0200

funkload (1.11.0-3) unstable; urgency=low

  * adds python-setuptools (closes: #579743)

 -- Toni Mueller <toni@debian.org>  Sun, 02 May 2010 22:00:21 +0200

funkload (1.11.0-2) unstable; urgency=low

  * removed obsolete file

 -- Toni Mueller <toni@debian.org>  Thu, 04 Feb 2010 13:41:02 +0100

funkload (1.11.0-1) unstable; urgency=low

  * new upstream, compatible with both webunit 1.3.8 and 1.3.9

 -- Toni Mueller <toni@debian.org>  Wed, 03 Feb 2010 01:04:29 +0100

funkload (1.10.0-3) unstable; urgency=low

  * removing python-xml dependency (closes: #545889)
  * cleaned up cruft from now-defunct python-central

 -- Toni Mueller <toni@debian.org>  Sat, 12 Sep 2009 12:26:52 +0200

funkload (1.10.0-2) unstable; urgency=low

  * fixed dependency

 -- Toni Mueller <toni@debian.org>  Tue, 01 Sep 2009 15:19:45 +0200

funkload (1.10.0-1) unstable; urgency=low

  * New upstream release (closes: #541596).
    - Fix a crash when using fl-build-report (Closes: #492755)
  * debian/rules: Update upstream version.
  * debian/control: 
   - Set XS-Python-Version to >= 2.5 instead of hardcoding versions.
   - Add python-setuptools to depends, it doesn't start without it.
   - Add gnuplot as recommends, it's necessary to run tests.
  * debian/patches: Drop, merged upstream.
  * debian/docs Update funkload.egg-info location.
  * debian/watch: Update.
  * python-central -> python-support

 -- Toni Mueller <toni@debian.org>  Tue, 01 Sep 2009 10:27:24 +0200

funkload (1.6.2-6) unstable; urgency=low

  * changed dependencies wrt. python-webunit to require at least
    1:1.3.8, but to conflict with 1:1.3.9.
  * added python-docutils (closes: #493205)

 -- Toni Mueller <toni@debian.org>  Mon, 04 Aug 2008 10:09:36 +0200

funkload (1.6.2-5) unstable; urgency=low

  * added python-docutils (closes: #493205)
  * suggests -> recommends due to the high usability impact
  * fixed python-webunit at 1.3.8 (compatibilty issue with 1.3.9)

 -- Toni Mueller <toni@debian.org>  Fri, 01 Aug 2008 11:11:58 +0200

funkload (1.6.2-4) unstable; urgency=low

  * upgraded to new standards version
  * dropped runtime dependency on python-setuptools (Closes: #468733)
  * dropped python-xml dependency (Closes: #468593)
  * rebuild with new python-central (Closes: #490464)

 -- Toni Mueller <toni@debian.org>  Thu, 10 Jul 2008 23:23:25 +0200

funkload (1.6.2-3) unstable; urgency=low

  * renamed recommends "tcpwatch" to "tcpwatch-httpproxy"
  * added python-setup to build-depends (closes: #457240)
  * added Jose Miguel Parrella Romero's manpages (thank you!)
  * fixed typos in the control file (closes: #457344)

 -- Toni Mueller <toni@debian.org>  Fri, 21 Dec 2007 23:19:17 +0100

funkload (1.6.2-2) unstable; urgency=low

  * added missing dependency

 -- Toni Mueller <support@oeko.net>  Wed, 19 Dec 2007 11:33:38 +0100

funkload (1.6.2-1) unstable; urgency=low

  * Initial release (Closes: #351082)

 -- Toni Mueller <toni@debian.org>  Wed, 12 Dec 2007 17:07:33 +0100
