=== debian/control ===
Source: funkload
Section: web
Priority: extra
Maintainer: Toni Mueller <toni@debian.org>
Build-Depends: python, cdbs, debhelper (>= 7.4), docbook-to-man, python-docutils, python-support (>> 1.0), python-setuptools
Standards-Version: 3.9.1

Package: funkload
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pkg-resources, python-webunit (>= 1:1.3.10)
Recommends: tcpwatch-httpproxy, gnuplot (>= 4.2), python-docutils
Description: web testing tool
 This web testing tool is designed to allow testing the functionality
 and performance of web applications in the same spirit as Perl's
 WWW::Mechanize. The tool supports recording clicks through a website,
 saving them into a Python class which you can later modify, and
 playing them back later. This allows you to script your web
 applications. 'funkload' also supports performance and load testing
 your applications.
 .
