## funkload 1.16.1

=== debian/changelog ===
funkload (1.16.1-4) unstable; urgency=high

  * correct installation failure that breaks all binaries
    (closes: #684872)
  * urgency high due to freeze

 -- Toni Mueller <toni@debian.org>  Tue, 14 Aug 2012 13:05:36 +0200

funkload (1.16.1-3) unstable; urgency=high

  * added the dependency (Closes: #659232)

 -- Toni Mueller <toni@debian.org>  Sat, 30 Jun 2012 23:24:09 +0200

funkload (1.16.1-2) unstable; urgency=low

  * symlink the JS libraries (Closes: #678043)
    Note that this only works if the user actually installed the
    Recommends: .

 -- Toni Mueller <toni@debian.org>  Mon, 25 Jun 2012 18:12:50 +0200

funkload (1.16.1-1) unstable; urgency=medium

  * new upstream
  * medium because of fix to the build process (closes: #643124)
  * migrated to using git-buildpackage
  * added python-webunit to the dependency list (closes: #627785)
    thanks to Benoit Delbosc
  * fixed path to demo code (closes: #630236)
    thanks to Vincent Férotin
  * split out docs package, which is now using Sphinx
  * dropped CDBS build dependency
  * dropped individual documentation building dependencies
 
 -- Toni Mueller <toni@debian.org>  Sun, 13 May 2012 00:10:08 +0200
