=== debian/control ===
Source: funkload
Section: web
Priority: extra
Maintainer: Toni Mueller <toni@debian.org>
Build-Depends: python, debhelper (>= 7.4), python-support (>> 1.0), python-setuptools, python-sphinx
Standards-Version: 3.9.3
X-Python-Version: >= 2.4, << 2.8

Package: funkload
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-setuptools, python-pkg-resources, python-webunit (>= 1:1.3.10)
Recommends: tcpwatch-httpproxy, gnuplot (>= 4.2), python-docutils
Suggests: python-paramiko, python-virtualenv
Description: web testing tool
 This web testing tool is designed to allow testing the functionality
 and performance of web applications in the same spirit as Perl's
 WWW::Mechanize. The tool supports recording clicks through a website,
 saving them into a Python class which you can later modify, and
 playing them back later. This allows you to script your web
 applications. 'funkload' also supports performance and load testing
 your applications.
 .


Package: funkload-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-jquery, libjs-sphinxdoc
Description: web testing tool (documentation package)
 This package contains the sphinx generated documentation for
 funkload.
 .
