=== debian/rules ===
#!/usr/bin/make -f

PACKAGE=funkload

DEB_BUILD_OPTIONS=nocheck

UPSTREAM_VERSION=1.16.1
DEB_SOURCE_PACKAGE=funkload
DEB_ALL_PACKAGES="funkload funkload-doc"

export DH_VERBOSE=1
PYVERS=$(shell pyversions -vr)
pkgdir = $(CURDIR)/debian/$(PKGNAME)
-include /usr/share/python/python.mk

clean:
	echo "====MAKE clean step"
	ls -l debian/funkload.examples
	dh_testdir
	dh_testroot
	rm -f build-*
	rm -rf build
	rm -fr doc/build
	rm -fr debian/$(PACKAGE) debian/$(PACKAGE)-doc debian/usr
	find . -name '*\.py[co]' -delete
	rm -fr src/funkload.egg-info
	dh_clean
	ls -l debian/funkload.examples
	echo "====END MAKE clean step"

build:
build-indep: build-docs
build-arch:
binary-arch:

binary: binary-indep

test:
	echo "Testing the non-installed package is not supported"

build-docs:
	echo "====MAKE $@ step"
	dh_testdir
	dh_installdirs -i
	cd doc && env PYTHONPATH="../src:${PYTHONPATH}" make html
	rm -f doc/build/html/_static/jquery.js doc/build/html/_static/underscore.js
	find debian/$(PACKAGE)-doc/usr/share -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/jquery.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/jquery/jquery.js"></script>:'
	find debian/$(PACKAGE)-doc/usr/share -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/underscore.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/sphinxdoc/1.0/underscore.js"></script>:'
	echo "====MAKE: I'm now in `/bin/pwd`"
	mkdir -p  debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc
	cp -a doc/build/html debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc
	ln -s ../../../../javascript/jquery/jquery.js debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc/html/_static/jquery.js
	ln -s ../../../../javascript/sphinxdoc/1.0/underscore.js debian/$(PACKAGE)-doc/usr/share/doc/$(PACKAGE)-doc/html/_static/underscore.js
	touch $@
	echo "====END MAKE $@ step"

install: build build-docs
	echo "====MAKE $@ step"
	dh_testdir
	dh_testroot
	python setup.py install \
		--no-compile \
		--single-version-externally-managed \
		--root $(CURDIR)/debian/$(PACKAGE) \
		$(py_setup_install_args)
	set -e; for py in $(PYVERS); do  \
		rm -fr $(CURDIR)/debian/$(PACKAGE)/usr/lib/python$$py/dist-packages/$(PACKAGE)/demo ; \
	done
	echo "====END MAKE $@ step"



# W: pycompile:161: dangling symlink skipped: /usr/lib/python2.6/dist-packages/funkload/demo/seam-booking-1.1.5/test_SeamBooking.py (../../../../../../share/pyshared/funkload/demo/

XXXinstall-%:
	echo "====MAKE $@ step"
	mkdir -p  debian/$(PACKAGE)/usr/share/pyshared debian/$(PACKAGE)/usr/bin
	cp -a src/funkload debian/$(PACKAGE)/usr/share/pyshared
	install -m 0755 scripts/* debian/$(PACKAGE)/usr/bin
	chmod -R a-wx debian/$(PACKAGE)/usr/share/pyshared/$(PACKAGE)
	chmod -R a+rX debian/$(PACKAGE)/usr/share/pyshared/$(PACKAGE)
	rm -fr $(CURDIR)/debian/$(PACKAGE)/usr/lib/site-packages/$(PACKAGE)/demo
	#python$* setup.py build_scripts --executable=/usr/bin/python
	#python$* setup.py install $(py_setup_install_args) \
	#	--root $(call pkgdir,$*)
	echo "====END MAKE $@ step"

binary-indep: build install
	echo "====MAKE $@ step"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installchangelogs -p $(PACKAGE)
	dh_installdocs -i
	ls -l debian/funkload.examples
	dh_installexamples -i -v
	ls -l debian/funkload.examples
	dh_link -i
	dh_installman -i
	#mv debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/demo/* \
	#	debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples && \
	chmod -R a-wx debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
	chmod -R a+rX debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
	#rmdir debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/demo
	#find debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
	echo "====MAKE $@ before dh_python2"
	dh_python2 -i
	rm -fr $(CURDIR)/debian/$(PACKAGE)/usr/share/pyshared/$(PACKAGE)/demo
	echo "====MAKE $@ after dh_python2"
	dh_fixperms -i
	dh_compress -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z xz
	echo "====END MAKE $@ step"

# what?
#dh_compress -i -X.py -X.js -Xmakotemplates.txt
