=== debian/changelog ===
funkload (1.17.1-2) unstable; urgency=low

  * Commit Debian 3.0 (quilt) metadata
  * remove the bogus .egg-info directory
  * do not install the demo files, they are in .../examples

 -- Toni Mueller <toni@debian.org>  Sun, 18 Dec 2016 14:57:02 +0100

funkload (1.17.1-1) unstable; urgency=medium

  * new upstream version
  * new packaging

 -- Toni Mueller <toni@debian.org>  Sun, 18 Dec 2016 03:35:48 +0100
