=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: web
 Priority: extra
 Maintainer: Toni Mueller <toni@debian.org>
-Build-Depends: python, debhelper (>= 7.4), python-support (>> 1.0), python-setuptools, python-sphinx
+Build-Depends: python, debhelper (>= 7.4), dh-python, python-setuptools, python-sphinx
 Standards-Version: 3.9.3
+Homepage: http://funkload.nuxeo.com
 X-Python-Version: >= 2.4, << 2.8
+#Vcs-Git: git://git.debian.org/collab-maint/funkload.git
+#Vcs-Browser: http://git.debian.org/?p=collab-maint/funkload.git;a=summary
 
 Package: funkload
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-setuptools, python-pkg-resources, python-webunit (>= 1:1.3.10)
+Depends: ${misc:Depends}, ${python:Depends}, python2.7, python-setuptools, python-pkg-resources, python-webunit (>= 1:1.3.10)
 Recommends: tcpwatch-httpproxy, gnuplot (>= 4.2), python-docutils
 Suggests: python-paramiko, python-virtualenv
 Description: web testing tool
@@ -25,7 +28,7 @@
 Package: funkload-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, python-sphinx
 Recommends: libjs-jquery, libjs-sphinxdoc
 Description: web testing tool (documentation package)
  This package contains the sphinx generated documentation for
