=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

DEB_SOURCE_PACKAGE=funkload
DEB_ALL_PACKAGES="funkload funkload-doc"

PYVERS=$(shell pyversions -vr)

export DEB_BUILD_OPTIONS=nocheck

%:
	dh $@ -v --with python2 --buildsystem=python_distutils -pfunkload -pfunkload-doc


override_dh_install:
	dh_install -O-v -O--buildsystem=python_distutils
	install -d debian/funkload/usr/share/doc/funkload/examples
	cp -a src/funkload/demo debian/funkload/usr/share/doc/funkload/examples
	rm -fr debian/funkload/usr/lib/python2.7/dist-packages/funkload/demo
	rm -fr debian/funkload/usr/lib/python2.7/dist-packages/funkload/tests
	rm -f debian/funkload/usr/bin/fl-install-demo



override_dh_fixperms:
	dh_fixperms -O-v -O--buildsystem=python_distutils
	find debian/funkload/usr/share/doc/funkload -type f -print0 | xargs -0 chmod 0644

override_dh_installdocs:
	cd doc && make html
	rm -f doc/build/html/_static/jquery.js doc/build/html/_static/underscore.js
	find debian/funkload-doc/build -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/jquery.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/jquery/jquery.js"></script>:'
	find debian/funkload-doc/build -name '*.html' | xargs perl -p -i -e 's:<script type="text/javascript" src=".*_static/underscore.js"></script>:<script language="javascript" type="text/javascript" src="/javascript/sphinxdoc/1.0/underscore.js"></script>:'
	dh_installdocs
